org.eclipse.net4j.util.ui.widgets

## Class SearchField

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.net4j.util.ui.widgets.SearchField

- All Implemented Interfaces:
    Drawable

      public class SearchField
      extends Composite

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SearchField.FilterHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchField(Composite parent, SearchField.FilterHandler filterHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkSubclass()`
    `protected void` | `finishFilter()` Subclasses may override.
    `boolean` | `getEnabled()`
    `Text` | `getFilterControl()`
    `PatternFilter` | `getPatternFilter()`
    `void` | `setEnabled(boolean enabled)`
    `boolean` | `setFocus()`
    `void` | `setInitialText(java.lang.String text)`

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### SearchField

          public SearchField(Composite parent,
                             SearchField.FilterHandler filterHandler)

  - ### Method Detail

    - #### getPatternFilter

          public final PatternFilter getPatternFilter()

    - #### getFilterControl

          public final Text getFilterControl()

    - #### setInitialText

          public final void setInitialText(java.lang.String text)

    - #### getEnabled

          public final boolean getEnabled()

      Overrides:
        `getEnabled` in class `Control`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Overrides:
        `setEnabled` in class `Control`

    - #### setFocus

          public boolean setFocus()

      Overrides:
        `setFocus` in class `Composite`

    - #### checkSubclass

          protected void checkSubclass()

      Overrides:
        `checkSubclass` in class `Composite`

    - #### finishFilter

          protected void finishFilter()

      Subclasses may override.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html